%define module_name Perl-LibExtractor
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Perl/Strip.pm) perl(common/sense.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1
Release: alt2
Summary: determine perl library subsets for building distributions
Group: Development/Perl
License: see COPYING
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/ML/MLEHMANN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The purpose of this module is to determine subsets of your perl library,
that is, a set of files needed to satisfy certain dependencies (e.g. of a
program).

The goal is to extract a part of your perl installation including
dependencies. A typical use case for this module would be to find out
which files are needed to be build a the PAR manpage distribution, to link into
an the App::Staticperl manpage binary, or to pack with the Urlader manpage, to create
stand-alone distributions tailormade to run your app.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc COPYING README Changes
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2
- updated summary

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1
- initial import by package builder

